#ifndef __SGE_SCHEDD_TEXT_H
#define __SGE_SCHEDD_TEXT_H
/*___INFO__MARK_BEGIN__*/
/*************************************************************************
 * 
 *  The Contents of this file are made available subject to the terms of
 *  the Sun Industry Standards Source License Version 1.2
 * 
 *  Sun Microsystems Inc., March, 2001
 * 
 * 
 *  Sun Industry Standards Source License Version 1.2
 *  =================================================
 *  The contents of this file are subject to the Sun Industry Standards
 *  Source License Version 1.2 (the "License"); You may not use this file
 *  except in compliance with the License. You may obtain a copy of the
 *  License at http://gridengine.sunsource.net/Gridengine_SISSL_license.html
 * 
 *  Software provided under this License is provided on an "AS IS" basis,
 *  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
 *  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
 *  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
 *  See the License for the specific provisions governing your rights and
 *  obligations concerning the Software.
 * 
 *   The Initial Developer of the Original Code is: Sun Microsystems, Inc.
 * 
 *   Copyright: 2001 by Sun Microsystems, Inc.
 * 
 *   All Rights Reserved.
 * 
 ************************************************************************/
/*___INFO__MARK_END__*/

/*
** Code was former
** in sge_text.h ( sge_text() is now sge_schedd_text() )
*/

/* Info strings used in scheduler (detailed information)
* and Info strings used in qstat (we group jobs)
*
* Info strings used in scheduler and info strings used in qstat must
* have same sequence because we use offset to map messages
*/
enum { 
   SCHEDD_INFO_CANNOTRUNATHOST_SSS = 0 ,
   SCHEDD_INFO_HASNOPERMISSION_SS,
   SCHEDD_INFO_HASINCORRECTPRJ_SSS,
   SCHEDD_INFO_HASNOPRJ_S,
   SCHEDD_INFO_EXCLPRJ_SSS,
   SCHEDD_INFO_QUEUENOTREQUESTABLE_S,
   SCHEDD_INFO_NOTINHARDQUEUELST_S,
   SCHEDD_INFO_NOTPARALLELQUEUE_S,
   SCHEDD_INFO_NOTINQUEUELSTOFPE_SS,
   SCHEDD_INFO_NOTACKPTQUEUE_SS,
   SCHEDD_INFO_NOTINQUEUELSTOFCKPT_SS,
   SCHEDD_INFO_QUEUENOTINTERACTIVE_S,
   SCHEDD_INFO_NOTASERIALQUEUE_S,
   SCHEDD_INFO_NOTPARALLELJOB_S,
   SCHEDD_INFO_NOTREQFORCEDRES_SS,
   SCHEDD_INFO_WOULDSETQEUEINALARM_DS,
   SCHEDD_INFO_NOSLOTSINQUEUE_S,
   SCHEDD_INFO_CANNOTRUNINQUEUE_SSS,
   SCHEDD_INFO_NOSLOTSUPPORTBYPE_S,
   SCHEDD_INFO_CANNOTRUNGLOBALLY_SS,
   SCHEDD_INFO_NOFORCEDRES_SS,
   SCHEDD_INFO_NOGLOBFORCEDRES_SS,
   SCHEDD_INFO_CKPTNOTFOUND_,
   SCHEDD_INFO_PESLOTSNOTINRANGE_S,
   SCHEDD_INFO_NOACCESSTOPE_S,
   SCHEDD_INFO_QUEUEINALARM_SS,
   SCHEDD_INFO_QUEUEOVERLOADED_SS,
   SCHEDD_INFO_ALLALARMOVERLOADED_,
   SCHEDD_INFO_TURNEDOFF_,
   SCHEDD_INFO_JOBLIST_,
   SCHEDD_INFO_EXECTIME_,
   SCHEDD_INFO_JOBINERROR_,
   SCHEDD_INFO_JOBHOLD_,
   SCHEDD_INFO_USRGRPLIMIT_,
   SCHEDD_INFO_JOBDEPEND_,
   SCHEDD_INFO_NOMESSAGE_,
   SCHEDD_INFO_QUEUEFULL_,
   SCHEDD_INFO_QUEUESUSP_,
   SCHEDD_INFO_QUEUEDISABLED_, 
   SCHEDD_INFO_QUEUENOTAVAIL_,
   SCHEDD_INFO_INSUFFICIENTSLOTS_,
   SCHEDD_INFO_PEALLOCRULE_S,
   SCHEDD_INFO_NOPEMATCH_,
   SCHEDD_INFO_CLEANUPNECESSARY_S,
   SCHEDD_INFO_MAX_AJ_INSTANCES_,

   /* */
   SCHEDD_INFO_CANNOTRUNATHOST,
   SCHEDD_INFO_HASNOPERMISSION,
   SCHEDD_INFO_HASINCORRECTPRJ,
   SCHEDD_INFO_HASNOPRJ,
   SCHEDD_INFO_EXCLPRJ,
   SCHEDD_INFO_QUEUENOTREQUESTABLE,
   SCHEDD_INFO_NOTINHARDQUEUELST,
   SCHEDD_INFO_NOTPARALLELQUEUE,
   SCHEDD_INFO_NOTINQUEUELSTOFPE,
   SCHEDD_INFO_NOTACKPTQUEUE,
   SCHEDD_INFO_NOTINQUEUELSTOFCKPT,
   SCHEDD_INFO_QUEUENOTINTERACTIVE,
   SCHEDD_INFO_NOTASERIALQUEUE,
   SCHEDD_INFO_NOTPARALLELJOB,
   SCHEDD_INFO_NOTREQFORCEDRES,
   SCHEDD_INFO_WOULDSETQEUEINALARM,
   SCHEDD_INFO_NOSLOTSINQUEUE,
   SCHEDD_INFO_CANNOTRUNINQUEUE,
   SCHEDD_INFO_NOSLOTSUPPORTBYPE,
   SCHEDD_INFO_CANNOTRUNGLOBALLY,
   SCHEDD_INFO_NOFORCEDRES,
   SCHEDD_INFO_NOGLOBFORCEDRES,
   SCHEDD_INFO_CKPTNOTFOUND,
   SCHEDD_INFO_PESLOTSNOTINRANGE,
   SCHEDD_INFO_NOACCESSTOPE,
   SCHEDD_INFO_QUEUEINALARM,
   SCHEDD_INFO_QUEUEOVERLOADED,
   SCHEDD_INFO_ALLALARMOVERLOADED,
   SCHEDD_INFO_TURNEDOFF,
   SCHEDD_INFO_JOBLIST,
   SCHEDD_INFO_EXECTIME,
   SCHEDD_INFO_JOBINERROR,
   SCHEDD_INFO_JOBHOLD,
   SCHEDD_INFO_USRGRPLIMIT,
   SCHEDD_INFO_JOBDEPEND,
   SCHEDD_INFO_NOMESSAGE,
   SCHEDD_INFO_QUEUEFULL,
   SCHEDD_INFO_QUEUESUSP,
   SCHEDD_INFO_QUEUEDISABLED,
   SCHEDD_INFO_QUEUENOTAVAIL,
   SCHEDD_INFO_INSUFFICIENTSLOTS,
   SCHEDD_INFO_PEALLOCRULE,
   SCHEDD_INFO_NOPEMATCH,
   SCHEDD_INFO_CLEANUPNECESSARY,
   SCHEDD_INFO_MAX_AJ_INSTANCES,

   TOOBIG /* don't move from last position! */
};
#define SCHEDD_INFO_OFFSET (SCHEDD_INFO_CANNOTRUNATHOST-SCHEDD_INFO_CANNOTRUNATHOST_SSS)

#define INFO_SCHEDD_INFO_CANNOTRUNATHOST_SSSS sge_schedd_text(SCHEDD_INFO_CANNOTRUNATHOST_SSSS)
#define INFO_SCHEDD_INFO_HASNOPERMISSION_SS sge_schedd_text(SCHEDD_INFO_HASNOPERMISSION_SS)
#define INFO_SCHEDD_INFO_HASINCORRECTPRJ_SSS sge_schedd_text(SCHEDD_INFO_HASINCORRECTPRJ_SSS)
#define INFO_SCHEDD_INFO_HASNOPRJ_SS sge_schedd_text(SCHEDD_INFO_HASNOPRJ_SS)
#define INFO_SCHEDD_INFO_EXCLPRJ_SSS sge_schedd_text(SCHEDD_INFO_EXCLPRJ_SSS)
#define INFO_SCHEDD_INFO_QUEUENOTREQUESTABLE_SS sge_schedd_text(SCHEDD_INFO_QUEUENOTREQUESTABLE_SS)
#define INFO_SCHEDD_INFO_NOTINHARDQUEUELST_SS sge_schedd_text(SCHEDD_INFO_NOTINHARDQUEUELST_SS)
#define INFO_SCHEDD_INFO_NOTPARALLELQUEUE_SS sge_schedd_text(SCHEDD_INFO_NOTPARALLELQUEUE_SS)
#define INFO_SCHEDD_INFO_NOTINQUEUELSTOFPE_SSS sge_schedd_text(SCHEDD_INFO_NOTINQUEUELSTOFPE_SSS)
#define INFO_SCHEDD_INFO_NOTACKPTQUEUE_SSS sge_schedd_text(SCHEDD_INFO_NOTACKPTQUEUE_SSS)
#define INFO_SCHEDD_INFO_NOTASERIALQUEUE_SS sge_schedd_text(SCHEDD_INFO_NOTASERIALQUEUE_SS)
#define INFO_SCHEDD_INFO_NOTPARALLELJOB_SS sge_schedd_text(SCHEDD_INFO_NOTPARALLELJOB_SS)
#define INFO_SCHEDD_INFO_NOTREQFORCEDRES_SSS sge_schedd_text(SCHEDD_INFO_NOTREQFORCEDRES_SSS)   
#define INFO_SCHEDD_INFO_WOULDSETQEUEINALARM_SDS sge_schedd_text(SCHEDD_INFO_WOULDSETQEUEINALARM_SDS)
#define INFO_SCHEDD_INFO_NOSLOTSINQUEUE_SS sge_schedd_text(SCHEDD_INFO_NOSLOTSINQUEUE_SS)
#define INFO_SCHEDD_INFO_CANNOTRUNINQUEUE_SSSS sge_schedd_text(SCHEDD_INFO_CANNOTRUNINQUEUE_SSSS)
#define INFO_SCHEDD_INFO_NOSLOTSUPPORTBYPE_SS sge_schedd_text(SCHEDD_INFO_NOSLOTSUPPORTBYPE_SS)
#define INFO_SCHEDD_INFO_CANNOTRUNGLOBALLY_SSS sge_schedd_text(SCHEDD_INFO_CANNOTRUNGLOBALLY_SSS)
#define INFO_SCHEDD_INFO_NOFORCEDRES_SSS sge_schedd_text(SCHEDD_INFO_NOFORCEDRES_SSS)
#define INFO_SCHEDD_INFO_CKPTNOTFOUND_SS sge_schedd_text(SCHEDD_INFO_CKPTNOTFOUND_SS)
#define INFO_SCHEDD_INFO_PESLOTSNOTINRANGE_SS sge_schedd_text(SCHEDD_INFO_PESLOTSNOTINRANGE_SS)
#define INFO_SCHEDD_INFO_NOACCESSTOPE_SS sge_schedd_text(SCHEDD_INFO_NOACCESSTOPE_SS)
#define INFO_SCHEDD_INFO_QUEUEINALARM_SS sge_schedd_text(SCHEDD_INFO_QUEUEINALARM_SS)
#define INFO_SCHEDD_INFO_QUEUEOVERLOADED_SS sge_schedd_text(SCHEDD_INFO_QUEUEOVERLOADED_SS)
#define INFO_SCHEDD_INFO_ALLALARMOVERLOADED_ sge_schedd_text(SCHEDD_INFO_ALLALARMOVERLOADED_)
#define INFO_SCHEDD_INFO_TURNEDOFF_ sge_schedd_text(SCHEDD_INFO_TURNEDOFF_)
#define INFO_SCHEDD_INFO_JOBLIST_ sge_schedd_text(SCHEDD_INFO_JOBLIST_)
#define INFO_SCHEDD_INFO_INSUFFICIENTSLOTS_ sge_schedd_text(SCHEDD_INFO_INSUFFICIENTSLOTS_)
#define INFO_SCHEDD_INFO_PEALLOCRULE_S sge_schedd_text(SCHEDD_INFO_PEALLOCRULE_S) 
#define INFO_SCHEDD_INFO_NOPEMATCH_ sge_schedd_text(SCHEDD_INFO_NOPEMATCH_)
/* */
#define INFO_SCHEDD_INFO_CANNOTRUNATHOST sge_schedd_text(SCHEDD_INFO_CANNOTRUNATHOST)
#define INFO_SCHEDD_INFO_HASNOPERMISSION sge_schedd_text(SCHEDD_INFO_HASNOPERMISSION)
#define INFO_SCHEDD_INFO_HASINCORRECTPRJ sge_schedd_text(SCHEDD_INFO_HASINCORRECTPRJ)
#define INFO_SCHEDD_INFO_HASNOPRJ sge_schedd_text(SCHEDD_INFO_HASNOPRJ)
#define INFO_SCHEDD_INFO_EXCLPRJ sge_schedd_text(SCHEDD_INFO_EXCLPRJ)
#define INFO_SCHEDD_INFO_QUEUENOTREQUESTABLE sge_schedd_text(SCHEDD_INFO_QUEUENOTREQUESTABLE)
#define INFO_SCHEDD_INFO_NOTINHARDQUEUELST sge_schedd_text(SCHEDD_INFO_NOTINHARDQUEUELST)
#define INFO_SCHEDD_INFO_NOTPARALLELQUEUE sge_schedd_text(SCHEDD_INFO_NOTPARALLELQUEUE)
#define INFO_SCHEDD_INFO_NOTINQUEUELSTOFPE sge_schedd_text(SCHEDD_INFO_NOTINQUEUELSTOFPE)
#define INFO_SCHEDD_INFO_NOTACKPTQUEUE sge_schedd_text(SCHEDD_INFO_NOTACKPTQUEUE)
#define INFO_SCHEDD_INFO_NOTASERIALQUEUE sge_schedd_text(SCHEDD_INFO_NOTASERIALQUEUE)
#define INFO_SCHEDD_INFO_NOTPARALLELJOB sge_schedd_text(SCHEDD_INFO_NOTPARALLELJOB)
#define INFO_SCHEDD_INFO_NOTREQFORCEDRES sge_schedd_text(SCHEDD_INFO_NOTREQFORCEDRES)
#define INFO_SCHEDD_INFO_WOULDSETQEUEINALARM sge_schedd_text(SCHEDD_INFO_WOULDSETQEUEINALARM)
#define INFO_SCHEDD_INFO_NOSLOTSINQUEUE sge_schedd_text(SCHEDD_INFO_NOSLOTSINQUEUE)
#define INFO_SCHEDD_INFO_CANNOTRUNINQUEUE sge_schedd_text(SCHEDD_INFO_CANNOTRUNINQUEUE)
#define INFO_SCHEDD_INFO_NOSLOTSUPPORTBYPE sge_schedd_text(SCHEDD_INFO_NOSLOTSUPPORTBYPE)
#define INFO_SCHEDD_INFO_CANNOTRUNGLOBALLY sge_schedd_text(SCHEDD_INFO_CANNOTRUNGLOBALLY)
#define INFO_SCHEDD_INFO_NOFORCEDRES sge_schedd_text(SCHEDD_INFO_NOFORCEDRES)
#define INFO_SCHEDD_INFO_CKPTNOTFOUND sge_schedd_text(SCHEDD_INFO_CKPTNOTFOUND)
#define INFO_SCHEDD_INFO_PESLOTSNOTINRANGE sge_schedd_text(SCHEDD_INFO_PESLOTSNOTINRANGE)
#define INFO_SCHEDD_INFO_NOACCESSTOPE sge_schedd_text(SCHEDD_INFO_NOACCESSTOPE)
#define INFO_SCHEDD_INFO_QUEUEINALARM sge_schedd_text(SCHEDD_INFO_QUEUEINALARM)
#define INFO_SCHEDD_INFO_QUEUEOVERLOADED sge_schedd_text(SCHEDD_INFO_QUEUEOVERLOADED)
#define INFO_SCHEDD_INFO_ALLALARMOVERLOADED sge_schedd_text(SCHEDD_INFO_ALLALARMOVERLOADED)
#define INFO_SCHEDD_INFO_TURNEDOFF sge_schedd_text(SCHEDD_INFO_TURNEDOFF)
#define INFO_SCHEDD_INFO_JOBLIST sge_schedd_text(SCHEDD_INFO_JOBLIST)
#define INFO_SCHEDD_INFO_INSUFFICIENTSLOTS sge_schedd_text(SCHEDD_INFO_INSUFFICIENTSLOTS)
#define INFO_SCHEDD_INFO_PEALLOCRULE sge_schedd_text(SCHEDD_INFO_PEALLOCRULE)
#define INFO_SCHEDD_INFO_NOPEMATCH sge_schedd_text(SCHEDD_INFO_NOPEMATCH)

const char *sge_schedd_text(int number);

#endif /* __SGE_SCHEDD_TEXT_H */

